gccのインストール(Debian sarge)

apt-getでインストールしようとすると..

# apt-get install gcc
Reading Package Lists... Done
Building Dependency Tree... Done
gcc is already the newest version.
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
  gcc-3.3: Depends: binutils (>= 2.15-5) but it is not installable
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

となったので、「apt-get -f install」を実行してみる。

# apt-get -f install
Reading Package Lists... Done
Building Dependency Tree... Done
Correcting dependencies... Done
The following packages will be REMOVED:
  gcc gcc-3.3
0 upgraded, 0 newly installed, 2 to remove and 2 not upgraded.
4 not fully installed or removed.
Need to get 0B of archives.
After unpacking 4264kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 9773 files and directories currently installed.)
Removing gcc ...
Removing gcc-3.3 ...
Setting up cpp-3.3 (3.3.5-13) ...
Setting up cpp (3.3.5-3) ...
# apt-get install gcc
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
  binutils cpp cpp-4.3 gcc-4.3 gcc-4.3-base libc6 libgcc1 libgmp3c2 libgomp1
  libmpfr1ldbl locales
Suggested packages:
  binutils-doc cpp-doc gcc-4.3-locales gcc-multilib make manpages-dev autoconf
  automake1.9 libtool flex bison gdb gcc-doc gcc-4.3-multilib  libmudflap0-4.3-dev
  gcc-4.3-doc libgcc1-dbg libgomp1-dbg libmudflap0-dbg glibc-doc libc6-i686
Recommended packages:
  libc6-dev libc-dev
The following packages will be REMOVED:
  base-config
The following NEW packages will be installed:
  binutils cpp-4.3 gcc gcc-4.3 gcc-4.3-base libgmp3c2 libgomp1 libmpfr1ldbl
The following packages will be upgraded:
  cpp libc6 libgcc1 locales
4 upgraded, 8 newly installed, 1 to remove and 115 not upgraded.
Need to get 18.2MB of archives.
After unpacking 16.1MB of additional disk space will be used.
Do you want to continue? [Y/n] y